<?php
/**
 * File: demo.php
 * User: Administrator
 * Date: 2019/5/15
 */

require_once dirname(__FILE__) . '/lib/Api.php';

/**
 * 修改为自己的账号/密码
 */
$username = 'test';
$password = 'test';

$api = new Api($username, $password);

/**
 * 获取账户可用余额
 */
$data = array(
    'action' => '/info/?act=checkbalance',
    'method' => 'GET',
);

 $resp = $api->fetch_api($data);
 echo $resp;

/**
 * 获取域名价格
 */
$data = array(
    'action' => '/info/?act=getprice',
    'method' => 'POST',
    'body' => array(
        'type' => 'domain',
        'value' => 'test.com',
        'year' => 1,
    )
);

$resp = $api->fetch_api($data);
echo $resp;

/**
 * 域名查询
 */
$data = array(
    'action' => '/domain/query/',
    'method' => 'POST',
    'body' => array(
        'domain' => 'test',
        'suffix' => '.com',
    )
);

$resp = $api->fetch_api($data);
echo $resp;

/**
 * 域名续费
 */
$data = array(
    'action' => '/domain/?act=renew',
    'method' => 'POST',
    'body' => array(
        'domain' => 'test.com',
        'year' => 1,
        'expiredate' => '2018-12-21 12:00:00',
        'client_price' => 9999,
    )
);

$resp = $api->fetch_api($data);
echo $resp;

/**
 * 获取域名列表
 */
$data = array(
    'action' => '/domain/?act=getdomains',
    'method' => 'GET',
    'query' => array(
        'limit' => 10,
        'page' => 1,
    )
);

$resp = $api->fetch_api($data);
echo $resp;


